# Class CIM_UnitaryComputerSystem
extends CIM_ComputerSystem

A class derived from ComputerSystem that represents a Desktop, Mobile, NetPC, Server or other type of a single node Computer System.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_System
|
+--CIM_ComputerSystem
|
+--CIM_UnitaryComputerSystem

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_ComputerSystem
Description | string | A class derived from ComputerSystem that represents a Desktop, Mobile, NetPC, Server or other type of a single node Computer System.
UMLPackagePath | string | CIM::System::SystemElements
Version | string | 2.15.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LastLoadInfo | string |
Deprecated | string | CIM_BootSourceSetting
Description | string | This object contains the data identifying either the initial load device (its key) or the boot service that requested the last operating system load. In addition, the load parameters (ie, a pathname and parameters) may also be specified.
MappingStrings | string | MIB.IETF|HOST-RESOURCES-MIB.hrSystemInitialLoadDevice, MIB.IETF|HOST-RESOURCES-MIB.hrSystemInitialLoadParameters, MIF.DMTF|Host System|001.3
PowerManagementSupported | boolean |
Deprecated | string | CIM_PowerManagementCapabilities
Description | string | When TRUE, indicates that the computer can be power managed. The use of this property has been deprecated. Instead, the existence of an associated PowerManagementCapabilities class (associated using the ElementCapabilites relationship) indicates that power management is supported.
PowerState | uint16 |
Deprecated | string | CIM_AssociatedPowerManagementService.PowerState

Description

string

Indicates the current power state of the ComputerSystem and its associated OperatingSystem. This property is being deprecated. Instead, the PowerState property in the AssociatedPowerManagementService class SHOULD be used. Regarding the Power Save states, these are defined as follows: Value 4 ("Power Save - Unknown") indicates that the System is known to be in a power save mode, but its exact status in this mode is unknown; Value 2 ("Power Save - Low Power Mode") indicates that the System is in a power save state but still functioning, and may exhibit degraded performance; Value 3 ("Power Save - Standby") describes that the System is not functioning but could be brought to full power 'quickly'; value 7 ("Power Save - Warning") indicates that the ComputerSystem is in a warning state, though also in a power save mode. Values 8 and 9 describe the ACPI "Hibernate" and "Soft Off" states.

ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9
Values | string | Unknown, Full Power, Power Save - Low Power Mode, Power Save - Standby, Power Save - Unknown, Power Cycle, Power Off, Power Save - Warning, Power Save - Hibernate, Power Save - Soft Off
WakeUpType | uint16 |
Deprecated | string | No value
Description | string | The event that caused the System to power up. This information is available in SMBIOS, in the Type 1 structure, the Wake Up Type attribute.
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8
Values | string | Reserved, Other, Unknown, APM Timer, Modem Ring, LAN Remote, Power Switch, PCI PME#, A/C Power Restored
InitialLoadInfo | string[] |
Deprecated | string | CIM_BootSourceSetting
Description | string | This object contains the data needed to find either the initial load device (its key) or the boot service to request the operating system to start up. In addition, the load parameters (ie, a pathname and parameters) may also be specified.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_System
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_System
NameFormat | string | CIM_ComputerSystem
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_System
PrimaryOwnerName | string | CIM_System
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
ResetCapability | uint16 | CIM_ComputerSystem
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
Dedicated | uint16[] | CIM_ComputerSystem
IdentifyingDescriptions | string[] | CIM_System
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherDedicatedDescriptions | string[] | CIM_ComputerSystem
OtherIdentifyingInfo | string[] | CIM_System
PowerManagementCapabilities | uint16[] | CIM_ComputerSystem
Roles | string[] | CIM_System
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
SetPowerState | uint32 | CIM_ComputerSystem